(* Content-type: application/vnd.wolfram.cdf.text *)

(*** Wolfram CDF File ***)
(* http://www.wolfram.com/cdf *)

(* CreatedBy='Mathematica 8.0' *)

(*************************************************************************)
(*                                                                       *)
(*  The Mathematica License under which this file was created prohibits  *)
(*  restricting third parties in receipt of this file from republishing  *)
(*  or redistributing it by any means, including but not limited to      *)
(*  rights management or terms of use, without the express consent of    *)
(*  Wolfram Research, Inc.                                               *)
(*                                                                       *)
(*************************************************************************)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       835,         17]
NotebookDataLength[     10540,        237]
NotebookOptionsPosition[     10898,        232]
NotebookOutlinePosition[     11242,        247]
CellTagsIndexPosition[     11199,        244]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell["Orbits in the Sitnikov problem 2", "Section"],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`e$$ = 0.5, $CellContext`v0$$ = 
    0, $CellContext`z0$$ = 1, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`z0$$], 1, 
       "-2 \[LessEqual] z(0) \[LessEqual] +2"}, -2, 2}, {{
       Hold[$CellContext`v0$$], 0, 
       "-2 \[LessEqual] v(0) \[LessEqual] +2"}, -2, -2}, {{
       Hold[$CellContext`e$$], 0.5, "0 \[LessEqual] e \[LessEqual] 0.5"}, 0, 
      0.5}}, Typeset`size$$ = {360., {109., 113.}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = 
    False, $CellContext`z0$1722$$ = 0, $CellContext`v0$1723$$ = 
    0, $CellContext`e$1724$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`e$$ = 0.5, $CellContext`v0$$ = 
        0, $CellContext`z0$$ = 1}, "ControllerVariables" :> {
        Hold[$CellContext`z0$$, $CellContext`z0$1722$$, 0], 
        Hold[$CellContext`v0$$, $CellContext`v0$1723$$, 0], 
        Hold[$CellContext`e$$, $CellContext`e$1724$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      Module[{$CellContext`$pos$, $CellContext`$vel$, $CellContext`$zer$, \
$CellContext`$mx$, $CellContext`plo2$, $CellContext`$tex$, $CellContext`$pp$, \
$CellContext`plo3$}, $CellContext`$pos$ = \
$CellContext`sol1[{$CellContext`z0$$, $CellContext`v0$$}, $CellContext`e$$]; \
$CellContext`$vel$ = 
         D[$CellContext`$pos$, $CellContext`t]; $CellContext`$zer$ = \
$CellContext`sol2[{$CellContext`z0$$, $CellContext`v0$$}, $CellContext`e$$]; \
$CellContext`$mx$ = Max[
           Abs[
            ReplaceAll[$CellContext`$pos$, 
             ReplaceAll[$CellContext`t -> 
              Partition[$CellContext`$zer$, 2, 1], {
                Pattern[$CellContext`x, 
                 Blank[Real]], 
                Pattern[$CellContext`y, 
                 Blank[
                 Real]]} :> $CellContext`x + ($CellContext`y - \
$CellContext`x)/2]]]]; $CellContext`plo2$ = 
         Plot[$CellContext`$pos$, {$CellContext`t, 0, 10 2 Pi}, PlotStyle -> 
           Black, Frame -> True, 
           FrameTicks -> {{{0, 0}, {2 Pi, 1}, {4 Pi, 2}, {6 Pi, 3}, {
              8 Pi, 4}, {10 Pi, 5}, {12 Pi, 6}, {14 Pi, 7}, {16 Pi, 8}, {
              18 Pi, 9}, {20 Pi, 10}}, Automatic, Automatic, Automatic}, 
           FrameLabel -> {"t[2\[Pi]]", "z(t)"}, Axes -> False, 
           Epilog -> {Gray, 
             Line[{{0, 0}, {20 Pi, 0}}]}]; $CellContext`$tex$ = ReplaceAll[
           Partition[$CellContext`$zer$, 2, 1], {
             Pattern[$CellContext`x$, 
              Blank[Real]], 
             Pattern[$CellContext`y$, 
              Blank[Real]]} :> {
             Text[
              Style[
               ToString[
                IntegerPart[$CellContext`y$ - $CellContext`x$]], 14, Bold, 
               Italic], {$CellContext`x$ + ($CellContext`y$ - \
$CellContext`x$)/2, $CellContext`$pp$ = (-GoldenRatio) $CellContext`$mx$ 
                Sign[
                  
                  ReplaceAll[$CellContext`$pos$, $CellContext`t -> \
$CellContext`x$ + ($CellContext`y$ - $CellContext`x$)/2]]}], Dotted, 
             
             Line[{{$CellContext`x$ + ($CellContext`y$ - $CellContext`x$)/2, 
                0.8 $CellContext`$pp$}, {$CellContext`x$ + ($CellContext`y$ - \
$CellContext`x$)/2, 0}}]}]; Show[
          Graphics[{Gray, 
            Line[{{0, 0}, {20 Pi, 0}}], Black, 
            Map[Line[{{#, -0.5}, {#, 0.5}}]& , $CellContext`$zer$], 
            Black, $CellContext`$tex$, 
            Arrowheads[Medium], 
            Arrow[{{18 Pi, $CellContext`$mx$}, {20 Pi, $CellContext`$mx$}}], 
            Text[
             Style["time", 14, Bold, Italic], {
             19 Pi, $CellContext`$mx$ + 0.7}]}, AspectRatio -> 
           1/GoldenRatio], $CellContext`plo2$, 
          PlotRange -> {
           All, 1.5 GoldenRatio {-$CellContext`$mx$, $CellContext`$mx$}}]], 
      "Specifications" :> {{{$CellContext`z0$$, 1, 
          "-2 \[LessEqual] z(0) \[LessEqual] +2"}, -2, 2, ControlType -> 
         InputField}, {{$CellContext`v0$$, 0, 
          "-2 \[LessEqual] v(0) \[LessEqual] +2"}, -2, -2, ControlType -> 
         InputField}, {{$CellContext`e$$, 0.5, 
          "0 \[LessEqual] e \[LessEqual] 0.5"}, 0, 0.5, ControlType -> 
         InputField}}, "Options" :> {ControlPlacement -> Bottom}, 
      "DefaultOptions" :> {}],
     ImageSizeCache->{409., {173., 178.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>({$CellContext`r[
         Pattern[$CellContext`e, 
          Blank[]], 
         Pattern[$CellContext`t, 
          Blank[]]] = ($CellContext`r[
          Pattern[$CellContext`e, 
           Blank[]], 
          Pattern[$CellContext`t, 
           Blank[]]] = 
        1/2 - (1/2) $CellContext`e 
         Cos[$CellContext`t] + (1/4) $CellContext`e^2 (1 - Cos[
           2 $CellContext`t]) + (3/16) $CellContext`e^3 (Cos[$CellContext`t] - 
           Cos[3 $CellContext`t]) + (1/6) $CellContext`e^4 (
           Cos[2 $CellContext`t] - Cos[4 $CellContext`t]) - (5/
          768) $CellContext`e^5 (2 Cos[$CellContext`t] - 27 
          Cos[3 $CellContext`t] + 
          25 Cos[5 $CellContext`t]) + (1/
           160) $CellContext`e^6 ((-5) Cos[2 $CellContext`t] + 
           32 Cos[4 $CellContext`t] - 27 Cos[6 $CellContext`t]) + 
         7 $CellContext`e^7 (5 Cos[$CellContext`t] - 729 
           Cos[3 $CellContext`t] + 3125 Cos[5 $CellContext`t] - 2401 
           Cos[7 $CellContext`t])/
          92160 + $CellContext`e^8 (7 Cos[2 $CellContext`t] - 224 
           Cos[4 $CellContext`t] + 729 Cos[6 $CellContext`t] - 512 
           Cos[8 $CellContext`t])/
          2520 + (1/2293760) $CellContext`e^9 ((-14) Cos[$CellContext`t] + 
           20412 Cos[3 $CellContext`t] - 312500 Cos[5 $CellContext`t] + 
           823543 Cos[7 $CellContext`t] - 531441 Cos[9 $CellContext`t]) + (1/
           290304) $CellContext`e^10 ((-42) Cos[2 $CellContext`t] + 
           6144 Cos[4 $CellContext`t] - 59049 Cos[6 $CellContext`t] + 
           131072 Cos[8 $CellContext`t] - 78125 Cos[10 $CellContext`t]) + (1/
           7431782400) 
          11 $CellContext`e^11 (42 Cos[$CellContext`t] - 590490 
           Cos[3 $CellContext`t] + 29296875 Cos[5 $CellContext`t] - 201768035 
           Cos[7 $CellContext`t] + 387420489 Cos[9 $CellContext`t] - 
           214358881 Cos[11 $CellContext`t]) + (1/
           13305600) $CellContext`e^12 (66 Cos[2 $CellContext`t] - 42240 
           Cos[4 $CellContext`t] + 1082565 Cos[6 $CellContext`t] - 5767168 
           Cos[8 $CellContext`t] + 9765625 Cos[10 $CellContext`t] - 5038848 
           Cos[12 $CellContext`t]) - (1/3923981107200) 
         13 $CellContext`e^13 (132 Cos[$CellContext`t] - 17537553 
          Cos[3 $CellContext`t] + 2685546875 Cos[5 $CellContext`t] - 
          43501188346 Cos[7 $CellContext`t] + 
          188286357654 Cos[9 $CellContext`t] - 285311670611 
          Cos[11 $CellContext`t] + 
          137858491849 Cos[13 $CellContext`t])), $CellContext`eom[{
          Pattern[$CellContext`z0, 
           Blank[]], 
          Pattern[$CellContext`v0, 
           Blank[]]}, 
         Pattern[$CellContext`e, 
          Blank[]]] := {
        Derivative[
          2][$CellContext`z][$CellContext`t] == \
-($CellContext`z[$CellContext`t]/($CellContext`z[$CellContext`t]^2 + \
$CellContext`r[$CellContext`e, $CellContext`t]^2)^(3/2)), $CellContext`z[
          0] == $CellContext`z0, 
         Derivative[1][$CellContext`z][
          0] == $CellContext`v0}, $CellContext`sol1[{
          Pattern[$CellContext`z0, 
           Blank[]], 
          Pattern[$CellContext`v0, 
           Blank[]]}, 
         Pattern[$CellContext`e, 
          Blank[]]] := ReplaceAll[
         $CellContext`z[$CellContext`t], 
         Part[
          NDSolve[
           $CellContext`eom[{$CellContext`z0, $CellContext`v0}, \
$CellContext`e], {
            $CellContext`z[$CellContext`t]}, {$CellContext`t, 0, 1000 2 Pi}, 
           MaxSteps -> Infinity], 1]], $CellContext`sol2[{
          Pattern[$CellContext`z0, 
           Blank[]], 
          Pattern[$CellContext`v0, 
           Blank[]]}, 
         Pattern[$CellContext`e, 
          Blank[]]] := Quiet[
         Part[
          Reap[
           NDSolve[
            $CellContext`eom[{$CellContext`z0, $CellContext`v0}, \
$CellContext`e], {}, {$CellContext`t, 0, 10 2 Pi}, 
            Method -> {
             "EventLocator", "Event" -> $CellContext`z[$CellContext`t], 
              "EventAction" :> Sow[$CellContext`t]}, MaxSteps -> 
            Infinity]], -1, 1]]}; Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Input"],

Cell["\<\
Qualitative aspects of different orbits in the Sitnikov problem. The orbit is \
shown as z(t) versus time. We provide the number of revolution periods of the \
primaries between two consecutive intersections of the third body with the \
reference plane. Change z(0), v(0), e to see the chaotic motion of the third \
body.\
\>", "Text"]
},
WindowSize->{707, 637},
WindowMargins->{{438, Automatic}, {Automatic, 64}},
FrontEndVersion->"8.0 for Microsoft Windows (64-bit) (October 6, 2011)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[1235, 30, 51, 0, 70, "Section"],
Cell[1289, 32, 9257, 190, 70, "Input"],
Cell[10549, 224, 345, 6, 70, "Text"]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature 3uT6qZB4iiazeD1DaLxhPsHS *)
