(* Content-type: application/vnd.wolfram.cdf.text *)

(*** Wolfram CDF File ***)
(* http://www.wolfram.com/cdf *)

(* CreatedBy='Mathematica 8.0' *)

(*************************************************************************)
(*                                                                       *)
(*  The Mathematica License under which this file was created prohibits  *)
(*  restricting third parties in receipt of this file from republishing  *)
(*  or redistributing it by any means, including but not limited to      *)
(*  rights management or terms of use, without the express consent of    *)
(*  Wolfram Research, Inc.                                               *)
(*                                                                       *)
(*************************************************************************)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       835,         17]
NotebookDataLength[      5050,        132]
NotebookOptionsPosition[      5410,        127]
NotebookOutlinePosition[      5754,        142]
CellTagsIndexPosition[      5711,        139]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell["Iteration of the standard map", "Section"],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`k$$ = 0.5, $CellContext`xy$$ = {0.5, 0.5}, 
    Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`xy$$], {0.5, 0.5}}, Automatic}, {{
       Hold[$CellContext`k$$], 0.5, "parameter K"}, 0., 2., 0.02}}, 
    Typeset`size$$ = {400., {198., 202.}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = 
    False, $CellContext`k$1627$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`k$$ = 0.5, $CellContext`xy$$ = {0.5, 0.5}},
       "ControllerVariables" :> {
        Hold[$CellContext`k$$, $CellContext`k$1627$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Module[{}, 
        $CellContext`scr[$CellContext`xy$$, $CellContext`k$$]], 
      "Specifications" :> {{{$CellContext`xy$$, {0.5, 0.5}}, Automatic, 
         ControlType -> Locator}, {{$CellContext`k$$, 0.5, "parameter K"}, 0.,
          2., 0.02, ControlType -> InputField}}, 
      "Options" :> {ControlPlacement -> Bottom}, "DefaultOptions" :> {}],
     ImageSizeCache->{455., {244., 249.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>({$CellContext`scr[
          Pattern[$CellContext`xy, 
           Blank[]], 
          Pattern[$CellContext`k, 
           Blank[]]] := Deploy[
          
          Module[{$CellContext`$X = Part[$CellContext`xy, 1], $CellContext`$Y = 
            Part[$CellContext`xy, 2]}, 
           Show[
            Graphics[{{
               EdgeForm[{Thick, Black}], 
               FaceForm[], 
               Rectangle[{0, 0}, {2 Pi, 2 Pi}]}}, ImageSize -> 400, 
             PlotRange -> {{0, 2 Pi}, {0, 2 Pi}}], 
            $CellContext`gra[$CellContext`xy, $CellContext`k]]]]; \
$CellContext`INIT3 = Flatten[
          
          Table[{$CellContext`x0, $CellContext`y0}, {$CellContext`y0, 0, 2 Pi,
             Pi/19.}, {$CellContext`x0, {0., Pi}}], 1]; $CellContext`stdmap[
          Pattern[$CellContext`k, 
           Blank[]]] := Mod[Part[#, 2] + $CellContext`k Sin[
             Part[#, 1]] + {
            Part[#, 1], 0}, 2 Pi]& ; $CellContext`data[
          Pattern[$CellContext`k, 
           Blank[]]] := ($CellContext`data[$CellContext`k] = Map[Take[
            NestList[
             $CellContext`stdmap[$CellContext`k], #, 
             1000], -50]& , $CellContext`INIT3]); $CellContext`plo[{
           Pattern[$CellContext`x, 
            Blank[Real]], 
           Pattern[$CellContext`y, 
            Blank[Real]]}, 
          Pattern[$CellContext`k, 
           Blank[]]] := Graphics[{
           PointSize[Small], Red, 
           Point[
            NestList[
             $CellContext`stdmap[$CellContext`k], {$CellContext`x, \
$CellContext`y}, 1000]]}], $CellContext`gra[{
          Pattern[$CellContext`$X, 
           Blank[]], 
          Pattern[$CellContext`$Y, 
           Blank[]]}, 
         Pattern[$CellContext`k, 
          Blank[]]] := {
         ListPlot[
          $CellContext`data[$CellContext`k], PlotStyle -> Directive[{Black, 
             PointSize[Tiny]}]], 
         $CellContext`plo[{$CellContext`$X, $CellContext`$Y}, \
$CellContext`k]}}; Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Input"],

Cell["\<\
Phase portrait of the standard map. The phase space structure for fixed \
parameter 'K' is shown in black, individual orbits are shown in red. Click \
into the locator pane to start the iteration of different initial conditions.\
\
\>", "Text"]
},
WindowSize->{707, 637},
WindowMargins->{{438, Automatic}, {Automatic, 64}},
FrontEndVersion->"8.0 for Microsoft Windows (64-bit) (October 6, 2011)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[1235, 30, 48, 0, 70, "Section"],
Cell[1286, 32, 3863, 86, 70, "Input"],
Cell[5152, 120, 254, 5, 70, "Text"]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature 4v00WQ83kZ4i#BKyqbjWh5E@ *)
