(* Content-type: application/vnd.wolfram.cdf.text *)

(*** Wolfram CDF File ***)
(* http://www.wolfram.com/cdf *)

(* CreatedBy='Mathematica 9.0' *)

(*************************************************************************)
(*                                                                       *)
(*  The Mathematica License under which this file was created prohibits  *)
(*  restricting third parties in receipt of this file from republishing  *)
(*  or redistributing it by any means, including but not limited to      *)
(*  rights management or terms of use, without the express consent of    *)
(*  Wolfram Research, Inc. For additional information concerning CDF     *)
(*  licensing and redistribution see:                                    *)
(*                                                                       *)
(*        www.wolfram.com/cdf/adopting-cdf/licensing-options.html        *)
(*                                                                       *)
(*************************************************************************)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[      1063,         20]
NotebookDataLength[      9777,        220]
NotebookOptionsPosition[     10371,        218]
NotebookOutlinePosition[     10708,        233]
CellTagsIndexPosition[     10665,        230]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell["Expansions in the two-body problem", "Section"],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`flag$$ = "v - M", $CellContext`flag2$$ = 
    True, $CellContext`flag3$$ = True, $CellContext`flag4$$ = 
    False, $CellContext`form$$ = StandardForm, $CellContext`ord$$ = 
    7, $CellContext`$e$$ = 0.1, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`flag$$], "v - M", "Expression: "}, {
      "E - M", "v - M", "r / a", "a / r", "x / a", "y / a"}}, {{
       Hold[$CellContext`form$$], StandardForm, "Output format: "}, {
      StandardForm, InputForm, FortranForm, TeXForm}}, {{
       Hold[$CellContext`ord$$], 7, "Expansion order: "}, 1, 12, 1}, {{
       Hold[$CellContext`flag3$$], True, "Keep Eccentricity: "}, {
      True, False}}, {{
       Hold[$CellContext`$e$$], 0.1, "Eccentricity: "}, 0, 0.5}, {{
       Hold[$CellContext`flag2$$], True, "Exact coefficients: "}, {
      True, False}}, {{
       Hold[$CellContext`flag4$$], False, "Group with respect to e: "}, {
      True, False}}}, Typeset`size$$ = {577.1, {100., 22.93}}, 
    Typeset`update$$ = 0, Typeset`initDone$$, Typeset`skipInitDone$$ = 
    False, $CellContext`flag$286$$ = 0, $CellContext`form$291$$ = 
    0, $CellContext`ord$292$$ = 0, $CellContext`flag3$293$$ = 
    False, $CellContext`$e$294$$ = 0, $CellContext`flag2$295$$ = 
    False, $CellContext`flag4$296$$ = False}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`flag$$ = "v - M", $CellContext`flag2$$ = 
        True, $CellContext`flag3$$ = True, $CellContext`flag4$$ = 
        False, $CellContext`form$$ = StandardForm, $CellContext`ord$$ = 
        7, $CellContext`$e$$ = 0.1}, "ControllerVariables" :> {
        Hold[$CellContext`flag$$, $CellContext`flag$286$$, 0], 
        Hold[$CellContext`form$$, $CellContext`form$291$$, 0], 
        Hold[$CellContext`ord$$, $CellContext`ord$292$$, 0], 
        Hold[$CellContext`flag3$$, $CellContext`flag3$293$$, False], 
        Hold[$CellContext`$e$$, $CellContext`$e$294$$, 0], 
        Hold[$CellContext`flag2$$, $CellContext`flag2$295$$, False], 
        Hold[$CellContext`flag4$$, $CellContext`flag4$296$$, False]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      Module[{$CellContext`return$}, $CellContext`return$ = 
         Switch[$CellContext`flag$$, "E - M", 
           $CellContext`EmM[$CellContext`ord$$], "v - M", 
           $CellContext`vmM[$CellContext`ord$$], "r / a", 
           $CellContext`roa[$CellContext`ord$$], "a / r", 
           $CellContext`aor[$CellContext`ord$$], "x / a", 
           $CellContext`xoa[$CellContext`ord$$], "y / a", 
           $CellContext`yoa[$CellContext`ord$$]]; $CellContext`return$ = 
         If[$CellContext`flag4$$, 
           
           Collect[$CellContext`return$, $CellContext`e], \
$CellContext`return$]; $CellContext`return$ = 
         If[$CellContext`flag3$$, $CellContext`return$, 
           
           ReplaceAll[$CellContext`return$, $CellContext`e -> \
$CellContext`$e$$]]; $CellContext`form$$[
          If[$CellContext`flag2$$, $CellContext`return$, 
           N[$CellContext`return$]]]], 
      "Specifications" :> {{{$CellContext`flag$$, "v - M", "Expression: "}, {
         "E - M", "v - M", "r / a", "a / r", "x / a", "y / a"}, ControlType -> 
         RadioButton}, {{$CellContext`form$$, StandardForm, 
          "Output format: "}, {
         StandardForm, InputForm, FortranForm, 
          TeXForm}}, {{$CellContext`ord$$, 7, "Expansion order: "}, 1, 12, 1, 
         ControlType -> 
         Setter}, {{$CellContext`flag3$$, True, "Keep Eccentricity: "}, {
         True, False}, ControlType -> 
         Checkbox}, {{$CellContext`$e$$, 0.1, "Eccentricity: "}, 0, 0.5, 
         ControlType -> 
         InputField}, {{$CellContext`flag2$$, True, "Exact coefficients: "}, {
         True, False}, ControlType -> 
         Checkbox}, {{$CellContext`flag4$$, False, 
          "Group with respect to e: "}, {True, False}, ControlType -> 
         Checkbox}}, 
      "Options" :> {ControlPlacement -> {Top, Top, Top, Top, Top, Top}}, 
      "DefaultOptions" :> {}],
     ImageSizeCache->{625., {164., 171.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>({$CellContext`apo[
         Pattern[N, 
          Blank[]], 
         Pattern[$CellContext`exp, 
          Blank[]]] := 
       Module[{$CellContext`con, $CellContext`per}, $CellContext`con = 
          ReplaceAll[$CellContext`exp, Alternatives[
              Cos[
               BlankSequence[]], 
              Sin[
               BlankSequence[]]] :> 
            0]; $CellContext`per = $CellContext`exp - $CellContext`con; 
         ReplaceAll[Expand[
             Normal[
              Series[$CellContext`con, {$CellContext`e, 0, N}]]] + Collect[
             TrigReduce[
              Normal[
               Series[$CellContext`per, {$CellContext`e, 0, N}]]], 
             Alternatives[
              Cos[
               Blank[]], 
              Sin[
               Blank[]]]], {Pattern[$CellContext`a, 
               Blank[]] Cos[
               Pattern[$CellContext`arg, 
                Blank[]]] :> 
            Expand[$CellContext`a, $CellContext`e] Cos[$CellContext`arg], 
            Pattern[$CellContext`a, 
               Blank[]] Sin[
               Pattern[$CellContext`arg, 
                Blank[]]] :> 
            Expand[$CellContext`a, $CellContext`e] 
             Sin[$CellContext`arg]}]], $CellContext`roa[
         Pattern[N, 
          Blank[]]] := $CellContext`apo[
        N, 1 + (1/2) $CellContext`e^2 - 2 $CellContext`e Sum[D[
             
             BesselJ[$CellContext`k, $CellContext`k $CellContext`e], \
$CellContext`e] (
            Cos[$CellContext`k $CellContext`M]/$CellContext`k^2), \
{$CellContext`k, 1, N}]], $CellContext`xoa[
         Pattern[N, 
          Blank[]]] := $CellContext`apo[N, ((-3)/2) $CellContext`e + 2 Sum[D[
              
              BesselJ[$CellContext`k, $CellContext`k $CellContext`e], \
$CellContext`e] (
             Cos[$CellContext`k $CellContext`M]/$CellContext`k^2), \
{$CellContext`k, 1, 2 N}]], $CellContext`yoa[
         Pattern[N, 
          Blank[]]] := $CellContext`apo[
        N, 2 (Sqrt[1 - $CellContext`e^2]/$CellContext`e) 
         Sum[BesselJ[$CellContext`k, $CellContext`k $CellContext`e] (
            Sin[$CellContext`k $CellContext`M]/$CellContext`k), \
{$CellContext`k, 1, 2 N}]], $CellContext`EmM[
         Pattern[N, 
          Blank[]]] := $CellContext`apo[
        N, 2 Sum[
          BesselJ[$CellContext`k, $CellContext`k $CellContext`e] (
            Sin[$CellContext`k $CellContext`M]/$CellContext`k), \
{$CellContext`k, 1, 2 N}]], $CellContext`aor[
         Pattern[N, 
          Blank[]]] := $CellContext`apo[
        N, 1 + 2 
          Sum[BesselJ[$CellContext`k, $CellContext`k $CellContext`e] 
            Cos[$CellContext`k $CellContext`M], {$CellContext`k, 1, 
             N}]], $CellContext`vmM[
         Pattern[N, 
          Blank[]]] := $CellContext`apo[
        N, 2 Sum[
           BesselJ[$CellContext`k, $CellContext`k $CellContext`e] (
             Sin[$CellContext`k $CellContext`M]/$CellContext`k), \
{$CellContext`k, 1, 10}] + 
         2 Sum[(1/$CellContext`k) 
            Sum[($CellContext`e/(
                1 + (1 - $CellContext`e^2)^Rational[1, 2]))^$CellContext`l (
               BesselJ[$CellContext`k - $CellContext`l, $CellContext`k \
$CellContext`e] + 
               BesselJ[$CellContext`k + $CellContext`l, $CellContext`k \
$CellContext`e]) 
              Sin[$CellContext`k $CellContext`M], {$CellContext`l, 1, 
               N}], {$CellContext`k, 1, N}]]}; Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Input"],

Cell["\<\
We provide a tool to calculate various useful expansions found in the \
two-body problem. Click on the expression and it will be expanded in terms of \
the eccentricity 'e' and the mean anomaly 'M' up to a given expansion order. \
Change the output format and the expansion order by clicking one of the \
setter bars. Expansions are made either with exact coefficients and keeping \
the eccentricity as a parameter or accurate up to machine precision with the \
possibility to replace the eccentricity with a specific value.\
\>", "Text"]
},
WindowSize->{740, 731},
WindowMargins->{{430, Automatic}, {Automatic, 72}},
FrontEndVersion->"9.0 for Linux x86 (64-bit) (January 25, 2013)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[1463, 33, 53, 0, 70, "Section"],
Cell[1519, 35, 8297, 171, 70, "Input"],
Cell[9819, 208, 548, 8, 70, "Text"]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature xu0wgP7Cvjr67CKjxrdb0Yu2 *)
