(* Content-type: application/vnd.wolfram.cdf.text *)

(*** Wolfram CDF File ***)
(* http://www.wolfram.com/cdf *)

(* CreatedBy='Mathematica 9.0' *)

(*************************************************************************)
(*                                                                       *)
(*  The Mathematica License under which this file was created prohibits  *)
(*  restricting third parties in receipt of this file from republishing  *)
(*  or redistributing it by any means, including but not limited to      *)
(*  rights management or terms of use, without the express consent of    *)
(*  Wolfram Research, Inc. For additional information concerning CDF     *)
(*  licensing and redistribution see:                                    *)
(*                                                                       *)
(*        www.wolfram.com/cdf/adopting-cdf/licensing-options.html        *)
(*                                                                       *)
(*************************************************************************)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[      1063,         20]
NotebookDataLength[     13415,        305]
NotebookOptionsPosition[     14007,        303]
NotebookOutlinePosition[     14344,        318]
CellTagsIndexPosition[     14301,        315]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell["Orbital elements in the two-body problem", "Section"],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`a1$$ = 0.5, $CellContext`e1$$ = 
    0, $CellContext`i1$$ = 0, $CellContext`M1$$ = 
    0, $CellContext`\[Omega]1$$ = 0, $CellContext`\[CapitalOmega]1$$ = 0, 
    Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`a1$$], 0.5, "a"}, 0.1, 1}, {{
       Hold[$CellContext`e1$$], 0, "e"}, 0, 0.7}, {{
       Hold[$CellContext`i1$$], 0, "i"}, (-180) Degree, 180 Degree}, {{
       Hold[$CellContext`\[Omega]1$$], 0, "\[Omega]"}, 0, 360 Degree}, {{
       Hold[$CellContext`\[CapitalOmega]1$$], 0, "\[CapitalOmega]"}, 0, 360 
      Degree}, {{
       Hold[$CellContext`M1$$], 0, "M"}, 0, 360 Degree}}, Typeset`size$$ = {
    400., {197., 203.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = False, $CellContext`a1$665$$ = 
    0, $CellContext`e1$666$$ = 0, $CellContext`i1$667$$ = 
    0, $CellContext`\[Omega]1$668$$ = 0, $CellContext`\[CapitalOmega]1$669$$ =
     0, $CellContext`M1$670$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`a1$$ = 0.5, $CellContext`e1$$ = 
        0, $CellContext`i1$$ = 0, $CellContext`M1$$ = 
        0, $CellContext`\[Omega]1$$ = 0, $CellContext`\[CapitalOmega]1$$ = 0},
       "ControllerVariables" :> {
        Hold[$CellContext`a1$$, $CellContext`a1$665$$, 0], 
        Hold[$CellContext`e1$$, $CellContext`e1$666$$, 0], 
        Hold[$CellContext`i1$$, $CellContext`i1$667$$, 0], 
        Hold[$CellContext`\[Omega]1$$, $CellContext`\[Omega]1$668$$, 0], 
        Hold[$CellContext`\[CapitalOmega]1$$, \
$CellContext`\[CapitalOmega]1$669$$, 0], 
        Hold[$CellContext`M1$$, $CellContext`M1$670$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Graphics3D[{
         Star["Radius" -> $CellContext`a1$$/10], 
         $CellContext`Reference["Radius" -> 2 $CellContext`a1$$], 
         $CellContext`Body[{$CellContext`a1$$, $CellContext`e1$$, \
$CellContext`i1$$, $CellContext`\[Omega]1$$, $CellContext`\[CapitalOmega]1$$, \
$CellContext`M1$$}, "Color" -> Red, "Radius" -> $CellContext`a1$$/13]}, 
        PlotLabel -> StringJoin["a=", 
          ToString[IntegerPart[10 $CellContext`a1$$]/10.], ",e=", 
          ToString[IntegerPart[10 $CellContext`e1$$]/10.], ",i=", 
          ToString[IntegerPart[10 $CellContext`i1$$]/10.], ",\[Omega]=", 
          ToString[IntegerPart[10 $CellContext`\[Omega]1$$]/10.], 
          ",\[CapitalOmega]=", 
          ToString[IntegerPart[10 $CellContext`\[CapitalOmega]1$$]/10.], 
          ",M=", 
          ToString[IntegerPart[10 $CellContext`M1$$]/10.]], 
        ImageSize -> {400, 400}, Boxed -> False, Axes -> {True, False, False},
         ImagePadding -> 25, LabelStyle -> 14], 
      "Specifications" :> {{{$CellContext`a1$$, 0.5, "a"}, 0.1, 1, 
         ControlType -> VerticalSlider, ImageSize -> 
         Tiny}, {{$CellContext`e1$$, 0, "e"}, 0, 0.7, ControlType -> 
         VerticalSlider, ImageSize -> 
         Tiny}, {{$CellContext`i1$$, 0, "i"}, (-180) Degree, 180 Degree, 
         ControlType -> VerticalSlider, ImageSize -> 
         Tiny}, {{$CellContext`\[Omega]1$$, 0, "\[Omega]"}, 0, 360 Degree, 
         ControlType -> VerticalSlider, ImageSize -> 
         Tiny}, {{$CellContext`\[CapitalOmega]1$$, 0, "\[CapitalOmega]"}, 0, 
         360 Degree, ControlType -> VerticalSlider, ImageSize -> 
         Tiny}, {{$CellContext`M1$$, 0, "M"}, 0, 360 Degree, ControlType -> 
         VerticalSlider, ImageSize -> Tiny}}, 
      "Options" :> {
       ControlPlacement -> {Left, Left, Left, Right, Right, Right}}, 
      "DefaultOptions" :> {}],
     ImageSizeCache->{508., {227., 234.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>({$CellContext`cart := {$CellContext`r (
          Cos[$CellContext`\[Omega] + $CellContext`\[Nu]] 
           Cos[$CellContext`\[CapitalOmega]] - 
          Sin[$CellContext`\[Omega] + $CellContext`\[Nu]] 
          Sin[$CellContext`\[CapitalOmega]] 
          Cos[$CellContext`i]), $CellContext`r (
          Cos[$CellContext`\[Omega] + $CellContext`\[Nu]] 
           Sin[$CellContext`\[CapitalOmega]] + 
          Sin[$CellContext`\[Omega] + $CellContext`\[Nu]] 
           Cos[$CellContext`\[CapitalOmega]] 
           Cos[$CellContext`i]), $CellContext`r 
         Sin[$CellContext`\[Omega] + $CellContext`\[Nu]] 
         Sin[$CellContext`i]}, $CellContext`$Elliptic := {$CellContext`r 
          Cos[$CellContext`\[Nu]] :> $CellContext`a (
           Cos[$CellContext`\[CapitalEpsilon]] - $CellContext`e), \
$CellContext`r 
          Sin[$CellContext`\[Nu]] :> $CellContext`a (1 - $CellContext`e^2)^
           Rational[1, 2] 
          Sin[$CellContext`\[CapitalEpsilon]], $CellContext`t - \
$CellContext`t0 :> (
           1/$CellContext`n) ($CellContext`\[CapitalEpsilon] - $CellContext`e 
           Sin[$CellContext`\[CapitalEpsilon]]), $CellContext`\
\[CapitalEpsilon] -> $CellContext`Kepler[]}, $CellContext`Kepler[
         Pattern[$CellContext`\[CapitalEpsilon], 
          Blank[]]] := $CellContext`M + $CellContext`e 
         Sin[$CellContext`\[CapitalEpsilon]], $CellContext`\[CapitalEpsilon][
         Pattern[$CellContext`M, 
          Blank[]], 
         Pattern[$CellContext`e, 
          Blank[]]] = 
       Nest[$CellContext`Kepler, $CellContext`M, 4], $CellContext`Reference[
         Pattern[$CellContext`opts, 
          BlankNullSequence[]]] := With[{$CellContext`R = ReplaceAll[
            ReplaceAll["Radius", {$CellContext`opts}], "Radius" -> 
            GoldenRatio]}, {
          Line[{{0, 0, 0}, {$CellContext`R, 0, 0}}], 
          Opacity[0.5], 
          
          Polygon[{{-$CellContext`R, -$CellContext`R, -0.001}, \
{-$CellContext`R, $CellContext`R, -0.001}, {$CellContext`R, $CellContext`R, \
-0.001}, {$CellContext`R, -$CellContext`R, -0.001}, {-$CellContext`R, \
-$CellContext`R, -0.001}}]}], $CellContext`Planet[{
          Pattern[$CellContext`a, 
           Blank[]], 
          Pattern[$CellContext`e, 
           Blank[]], 
          Pattern[$CellContext`i, 
           Blank[]], 
          Pattern[$CellContext`\[Omega], 
           Blank[]], 
          Pattern[$CellContext`\[CapitalOmega], 
           Blank[]], 
          Pattern[$CellContext`M, 
           Blank[]]}, 
         Pattern[$CellContext`opts, 
          BlankNullSequence[]]] := {
         ReplaceAll[
          ReplaceAll["Color", {$CellContext`opts}], "Color" -> Blue], 
         Sphere[
          $CellContext`xyz[$CellContext`a, $CellContext`e, $CellContext`i, \
$CellContext`\[Omega], $CellContext`\[CapitalOmega], $CellContext`M], 
          ReplaceAll[
           ReplaceAll["Radius", {$CellContext`opts}], "Radius" -> 
           0.1]]}, $CellContext`Orbit[{
          Pattern[$CellContext`a, 
           Blank[]], 
          Pattern[$CellContext`e, 
           Blank[]], 
          Pattern[$CellContext`i, 
           Blank[]], 
          Pattern[$CellContext`\[Omega], 
           Blank[]], 
          Pattern[$CellContext`\[CapitalOmega], 
           Blank[]], 
          Pattern[$CellContext`M, 
           Blank[]]}, 
         Pattern[$CellContext`opts, 
          BlankNullSequence[]]] := {
         Thickness[0.005], 
         Line[
          Table[
           $CellContext`XYZ[$CellContext`a, $CellContext`e, $CellContext`i, \
$CellContext`\[Omega], $CellContext`\[CapitalOmega], $CellContext`\
\[CapitalEpsilon]], {$CellContext`\[CapitalEpsilon], 0, 2 Pi, 
            2 (Pi/33)}]]}, $CellContext`Plane[{
          Pattern[$CellContext`a, 
           Blank[]], 
          Pattern[$CellContext`e, 
           Blank[]], 
          Pattern[$CellContext`i, 
           Blank[]], 
          Pattern[$CellContext`\[Omega], 
           Blank[]], 
          Pattern[$CellContext`\[CapitalOmega], 
           Blank[]], 
          Pattern[$CellContext`M, 
           Blank[]]}, 
         Pattern[$CellContext`opts, 
          BlankNullSequence[]]] := {
         ReplaceAll[
          ReplaceAll["Color", {$CellContext`opts}], "Color" -> Blue], 
         Opacity[0.5], 
         Polygon[
          Table[
           $CellContext`XYZ[$CellContext`a, $CellContext`e, $CellContext`i, \
$CellContext`\[Omega], $CellContext`\[CapitalOmega], $CellContext`\
\[CapitalEpsilon]], {$CellContext`\[CapitalEpsilon], 0, 2 Pi, 
            2 (Pi/33)}]]}, $CellContext`Geometry[{
          Pattern[$CellContext`a, 
           Blank[]], 
          Pattern[$CellContext`e, 
           Blank[]], 
          Pattern[$CellContext`i, 
           Blank[]], 
          Pattern[$CellContext`\[Omega], 
           Blank[]], 
          Pattern[$CellContext`\[CapitalOmega], 
           Blank[]], 
          Pattern[$CellContext`M, 
           Blank[]]}, 
         Pattern[$CellContext`opts, 
          BlankNullSequence[]]] := {
         Line[{{
            $CellContext`XYZ[$CellContext`a, $CellContext`e, $CellContext`i, \
$CellContext`\[Omega], $CellContext`\[CapitalOmega], 0], 
            $CellContext`XYZ[$CellContext`a, $CellContext`e, $CellContext`i, \
$CellContext`\[Omega], $CellContext`\[CapitalOmega], 180 Degree]}, {
            $CellContext`XYZ[$CellContext`a, $CellContext`e, $CellContext`i, \
$CellContext`\[Omega], $CellContext`\[CapitalOmega], 90 Degree], 
            $CellContext`XYZ[$CellContext`a, $CellContext`e, $CellContext`i, \
$CellContext`\[Omega], $CellContext`\[CapitalOmega], 270 Degree]}, {
            $CellContext`XYZ[$CellContext`a, $CellContext`e, $CellContext`i, \
$CellContext`\[Omega], $CellContext`\[CapitalOmega], 0 Degree], 
            $CellContext`XYZ[$CellContext`a, $CellContext`e, $CellContext`i, \
$CellContext`\[Omega], $CellContext`\[CapitalOmega], 90 
             Degree]}}]}, $CellContext`Body[{
          Pattern[$CellContext`a, 
           Blank[]], 
          Pattern[$CellContext`e, 
           Blank[]], 
          Pattern[$CellContext`i, 
           Blank[]], 
          Pattern[$CellContext`\[Omega], 
           Blank[]], 
          Pattern[$CellContext`\[CapitalOmega], 
           Blank[]], 
          Pattern[$CellContext`M, 
           Blank[]]}, 
         Pattern[$CellContext`opts, 
          BlankNullSequence[]]] := ({
         $CellContext`Planet[#, $CellContext`opts], 
         $CellContext`Orbit[#, $CellContext`opts], 
         $CellContext`Plane[#, $CellContext`opts], 
         $CellContext`Geometry[#, $CellContext`opts]}& )[{$CellContext`a, \
$CellContext`e, $CellContext`i, $CellContext`\[Omega], $CellContext`\
\[CapitalOmega], $CellContext`M}], Star[
         Pattern[$CellContext`opts, 
          BlankNullSequence[]]] := {Yellow, 
         Sphere[{0, 0, 0}, 
          ReplaceAll[
           ReplaceAll["Radius", {$CellContext`opts}], "Radius" -> 
           0.1]]}, $CellContext`xyz = 
       Function[{$CellContext`a, $CellContext`e, $CellContext`i, \
$CellContext`\[Omega], $CellContext`\[CapitalOmega], $CellContext`M}, 
         Evaluate[
          ReplaceAll[
           ReplaceAll[
            
            TrigExpand[$CellContext`cart], $CellContext`$Elliptic], \
$CellContext`\[CapitalEpsilon] -> \
$CellContext`\[CapitalEpsilon][$CellContext`M, $CellContext`e]]]], \
$CellContext`XYZ = 
       Function[{$CellContext`a, $CellContext`e, $CellContext`i, \
$CellContext`\[Omega], $CellContext`\[CapitalOmega], $CellContext`\
\[CapitalEpsilon]}, 
         Evaluate[
          ReplaceAll[
           TrigExpand[$CellContext`cart], $CellContext`$Elliptic]]]}; 
     Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Input"],

Cell["\<\
Orbital elements in the two-body problem. The shape of the oribt is fixed by \
the semi-major axis 'a' and the eccentricity 'e'. The ellipse is orientated \
in 3-dimensional space by the inclination 'i', the argument of pericenter '\
\[Omega]' and the longitude of the ascending node '\[CapitalOmega]'. The mean \
anomaly 'M' defines the position of the celestial body in its orbit.\
\>", "Text"]
},
WindowSize->{740, 731},
WindowMargins->{{430, Automatic}, {Automatic, 72}},
FrontEndVersion->"9.0 for Linux x86 (64-bit) (January 25, 2013)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[1463, 33, 59, 0, 70, "Section"],
Cell[1525, 35, 12069, 258, 70, "Input"],
Cell[13597, 295, 406, 6, 70, "Text"]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature Tv0vLiYUYbd58BKZ#Q8D#LUk *)
